---
id: "index"
title: "API Reference"
slug: "/api"
sidebar_label: "Table of contents"
custom_edit_url: null
hide_title: true
---

# API Reference

## Table of contents

### Enumerations

- [KeyCode](enums/keycode.md)
- [UIElement](enums/uielement.md)

### Interfaces

- [CaptionProps](interfaces/captionprops.md)
- [DayPickerContext](interfaces/daypickercontext.md)
- [DayPickerProps](interfaces/daypickerprops.md)
- [DayProps](interfaces/dayprops.md)
- [DropdownProps](interfaces/dropdownprops.md)
- [MonthsDropdownProps](interfaces/monthsdropdownprops.md)
- [RootProps](interfaces/rootprops.md)
- [RowProps](interfaces/rowprops.md)
- [SelectEventHandler](interfaces/selecteventhandler.md)
- [TableProps](interfaces/tableprops.md)
- [WeekNumberProps](interfaces/weeknumberprops.md)
- [YearsDropdownProps](interfaces/yearsdropdownprops.md)

### Type aliases

- [CaptionLayout](types/captionlayout.md)
- [ClassNames](types/classnames.md)
- [Components](types/components.md)
- [DateAfter](types/dateafter.md)
- [DateBefore](types/datebefore.md)
- [DateBeforeAfter](types/datebeforeafter.md)
- [DateFormatter](types/dateformatter.md)
- [DateRange](types/daterange.md)
- [DayClickEventHandler](types/dayclickeventhandler.md)
- [DayFocusEventHandler](types/dayfocuseventhandler.md)
- [DayKeyboardEventHandler](types/daykeyboardeventhandler.md)
- [DayLabelFormatter](types/daylabelformatter.md)
- [DayMouseEventHandler](types/daymouseeventhandler.md)
- [DayTouchEventHandler](types/daytoucheventhandler.md)
- [Formatters](types/formatters.md)
- [Labels](types/labels.md)
- [MatchDate](types/matchdate.md)
- [MatchDaysOfWeek](types/matchdaysofweek.md)
- [Matcher](types/matcher.md)
- [ModifierClassNames](types/modifierclassnames.md)
- [ModifierMatchers](types/modifiermatchers.md)
- [ModifierStatus](types/modifierstatus.md)
- [ModifierStyles](types/modifierstyles.md)
- [MonthChangeEventHandler](types/monthchangeeventhandler.md)
- [NavButtonLabelFormatter](types/navbuttonlabelformatter.md)
- [NavigationContextValue](types/navigationcontextvalue.md)
- [SelectMode](types/selectmode.md)
- [SelectMultipleEventHandler](types/selectmultipleeventhandler.md)
- [SelectRangeEventHandler](types/selectrangeeventhandler.md)
- [SelectionContextValue](types/selectioncontextvalue.md)
- [Styles](types/styles.md)
- [UseInput](types/useinput.md)
- [WeekNumberClickEventHandler](types/weeknumberclickeventhandler.md)
- [WeekNumberFormatter](types/weeknumberformatter.md)
- [WeekNumberLabelFormatter](types/weeknumberlabelformatter.md)
- [WeekdayLabelFormatter](types/weekdaylabelformatter.md)

### Variables

- [DayPickerContext](variables/daypickercontext.md)
- [NavigationContext](variables/navigationcontext.md)
- [SelectionContext](variables/selectioncontext.md)

### Functions

- [Caption](functions/caption.md)
- [Day](functions/day.md)
- [DayPicker](functions/daypicker.md)
- [DayPickerProvider](functions/daypickerprovider.md)
- [Dropdown](functions/dropdown.md)
- [Head](functions/head.md)
- [IconDropdown](functions/icondropdown.md)
- [IconNext](functions/iconnext.md)
- [IconPrev](functions/iconprev.md)
- [MonthsDropdown](functions/monthsdropdown.md)
- [NavigationProvider](functions/navigationprovider.md)
- [Root](functions/root.md)
- [Row](functions/row.md)
- [SelectionProvider](functions/selectionprovider.md)
- [Table](functions/table.md)
- [WeekNumber](functions/weeknumber.md)
- [YearsDropdown](functions/yearsdropdown.md)
- [useDayPicker](functions/usedaypicker.md)
- [useInput](functions/useinput.md)
- [useModifiers](functions/usemodifiers.md)
- [useNavigation](functions/usenavigation.md)
- [useSelection](functions/useselection.md)
